Skip Menu |
 

This queue is for tickets about the PAR-Packer CPAN distribution.

Report information
The Basics
Id: 92352
Status: resolved
Priority: 0/
Queue: PAR-Packer

People
Owner: Nobody in particular
Requestors: DJIBEL [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 1.013
Fixed in: (no value)



Subject: pp failed - Perl lib version (5.16.3) doesn't match executable...
Download (untitled) / with headers
text/plain 1.2k
Dear, I am using Perl ActivePerl 5.16.3 On Windows 8.1 on 64 bits. I have also Microsoft Visual Studio C++ express (C:\Program Files (x86)\Microsoft Visual Studio 11.0). Installation not failed (ppm install PAR-Packer) but ysing it failed : ======================================================= pp -o test.exe tk.pl Perl lib version (5.16.3) doesn't match executable 'C:\Users\djibel\AppData\Loc al\Temp\parlFix_.exe' version (v5.16.0) at E:/Perl64/lib/Config.pm line 60. Compilation failed in require at E:/Perl64/lib/Errno.pm line 8. BEGIN failed--compilation aborted at E:/Perl64/lib/Errno.pm line 8. Compilation failed in require at E:/Perl64/site/lib/File/Temp.pm line 17. BEGIN failed--compilation aborted at E:/Perl64/site/lib/File/Temp.pm line 17. Compilation failed in require at E:/Perl64/lib/Archive/Zip.pm line 14. BEGIN failed--compilation aborted at E:/Perl64/lib/Archive/Zip.pm line 14. Compilation failed in require at -e line 459. E:\Perl64\site\bin/pp: Failed to extract a parl from 'PAR::StrippedPARL::Static' to file 'C:\Users\djibel\AppData\Local\Temp\parlLO5W690.exe' at E:/Perl64/site /lib/PAR/Packer.pm line 1169, <DATA> line 1. =========================================================== Best Regards, Djibel
Download (untitled) / with headers
text/plain 728b
On 2014-01-22 03:35:19, DJIBEL wrote: Show quoted text
> Installation not failed (ppm install PAR-Packer) but ysing it failed : > ======================================================= > pp -o test.exe tk.pl > > Perl lib version (5.16.3) doesn't match executable > 'C:\Users\djibel\AppData\Loc al\Temp\parlFix_.exe' version (v5.16.0) > at E:/Perl64/lib/Config.pm line 60.
The version of perl PAR::Packer was built with and the version of perl you pack stuff with must be the same (actually it's the perl ABI that counts, so even the same version may fail e.g. if one perl is built using threads and the other isn't). Using ppm to install PAR::Packer will typically violate that constraint, there's nothing I can do about it. Cheers, Roderich
Download (untitled) / with headers
text/plain 903b
Dear Roderich, It is not possible to build PAR::PAcker with Perl 5.16.3 ? Djibel Le Mer 22 Jan 2014 03:44:39, RSCHUPP a écrit : Show quoted text
> On 2014-01-22 03:35:19, DJIBEL wrote:
> > Installation not failed (ppm install PAR-Packer) but ysing it failed > > : > > ======================================================= > > pp -o test.exe tk.pl > > > > Perl lib version (5.16.3) doesn't match executable > > 'C:\Users\djibel\AppData\Loc al\Temp\parlFix_.exe' version (v5.16.0) > > at E:/Perl64/lib/Config.pm line 60.
> > The version of perl PAR::Packer was built with and the version of perl > you pack stuff with must be the same > (actually it's the perl ABI that counts, so even the same > version may fail e.g. if one perl is built using threads and the other > isn't). > Using ppm to install PAR::Packer will typically violate that > constraint, there's nothing I can do about it. > > Cheers, Roderich
Download (untitled) / with headers
text/plain 179b
I strongly recommend to build PAR::Packer yourself to avoid perl version skew between the perl that PAR::Packer was built and the perl PAR::Packer is running on. Cheers, Roderich
Download (untitled) / with headers
text/plain 316b
Le Mer 22 Jan 2014 03:50:49, RSCHUPP a écrit : Show quoted text
> I strongly recommend to build PAR::Packer yourself to avoid perl > version skew between the perl that PAR::Packer was built and the perl > PAR::Packer is running on. > > Cheers, Roderich
Can you tell me hos to build it ? What command-line have I to use ? Djibel


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.